Bug 130348 - CAN-2004-0457 mysqlhotcopy insecure temporary file vulnerability
CAN-2004-0457 mysqlhotcopy insecure temporary file vulnerability
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mysql (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-19 10:34 EDT by Josh Bressers
Modified: 2013-07-02 23:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-20 15:12:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-08-19 10:34:51 EDT
Jeroen van Wolffelaar <jeroen@wolffelaar.nl> discovered an insecure
temporary file vulnerability in the mysqlhotcopy script when using the
scp method.

Sergei Golubchik <serg@mysql.com> has fixed this upstream with this
patch: http://lists.mysql.com/internals/15185

This issue should also affect RHEL2.1

Fedora Core is handled by bug 130347
Comment 1 Tom Lane 2004-10-06 18:24:26 EDT
Fixed in mysql-3.23.58-2.2, currently scheduled for RHEL3 U4.
Comment 4 Josh Bressers 2004-10-20 15:12:47 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-597.html
Comment 5 Josh Bressers 2004-10-20 15:41:28 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-569.html

Note You need to log in before you can comment on or make changes to this bug.